import request from '@/utils/request'

// 工作量类别管理 - 查询列表
export function listWorkloadCategoryAPI(query) {
    return request({
        url: '/workloadCategory/getWorkloadCategoryList',
        method: 'GET',
        params: query,
    })
}

// 工作量类别管理 - 新增
export function addWorkloadCategoryAPI(data) {
    return request({
        url: '/workloadCategory/addWorkloadCategory',
        method: 'POST',
        data,
    })
}

// 工作量类别管理 - 修改
export function updateWorkloadCategoryAPI(data) {
    return request({
        url: '/workloadCategory/updateWorkloadCategory',
        method: 'POST',
        data,
    })
}

// 工作量类别管理 - 删除
export function delWorkloadCategoryAPI(data) {
    return request({
        url: `/workloadCategory/delWorkloadCategory`,
        method: 'POST',
        data,
    })
}
